//    Final Release of Patch v86S-5
//
//    Converted to KEAterm script by Lee Wolfe on 15-Feb-2002 to patch
//    HSG80 v86S-4 to v86S-5. Applicable to v86S-1 code build stream and
//    v86S-4 card image. Pre-requisite patches v86S-2, -3 and -4  must
//    be installed prior to this patch.
//
//    *************** COMPAQ COMPUTER CORPORATION - DISCLAIMER **************
//    * In accordance to Compaq's commitment to maintain the highest level  *
//    * of customer satisfaction, this patch is being provided to customers *
//    * who have purchased the referenced Storageworks product that is      *
//    * currently covered by one of Compaq's  extensive warranty plans and  *
//    * is also provided to those customers not yet underCompaq's extended  *
//    * warranty plan as a courtesy.  The availability of this patch is in  *
//    * no way an obligation by Compaq to continue this practice in the     *
//    * future.                                                             *
//    ***********************************************************************
//
//    ****************************** WARNING ********************************
//    *                                                                     *
//    *   Please be sure to cut and paste EXACTLY as indicated.  Any        *
//    *   addition or subtraction of pertinent patch data will mean the     *
//    *   patch will not load due to a checksum failure and the controller  *
//    *   will remain at it's original version.                             *
//    *                                                                     *
//    *   As always, any critical data should be backed up prior to         *
//    *   performing any updates.                                           *
//    ***********************************************************************
//
//    PATCH V86S-5
//
//    Patch Title: PR crash -Add busy, resolve Index[0]=0/F 
//    ACS Version: HSG80 v86
//    Patch Number: 5	
//    Date: 13-Feb-2002
//
//    I. Patch Description:
//
//    Problem Symptoms:  
//    Tru64 v5.1, v5.1A with Tru-Clustering, and OpenVMS 7.3-1 release 
//    implement and heavily utilize Persistent Reservation mechanism
//    in HSG. Under conditions when large LUN counts, >2 node Tru64 
//    cluster, is subject to HSG80 crashing.
//
//    Resolution: 
//    This fixes LFC=43230101 crash with Index[0]=F/0. Implements a
//    busy mechanism to help throttle the host.  
//
//    Tru64 customers running Cluster and >2 nodes must be running 
//    latest patch kits available.  Consult Tru64 patch kit documentation 
//    concerning parameter setting "disk_max_iob_ops"  =12 <==default
//
//    ----- Begin v86S-5 Script -----
//
MsgBox ("Beginning installation of patch v86S-5. Controller must be at v86S-4 to continue.")
//
CR = "^M"
Send ( CR )
Send ( "run clcp" + CR )
Send ( "2" + CR )
Send ( "1" + CR )
Send ( "y" + CR )
Send ( "V86S" + CR )
Send ( "143" + CR )
Send ( "0" + CR )
Send ( "5" + CR )
Send ( "1" + CR )
Wait ( 20 )
Send ( "C000E020" + CR )
Send ( "320C200C" + CR )
Send ( "1" + CR )
Send ( "C000BA28" + CR )
Send ( "08000018" + CR )
Send ( "1" + CR )
Send ( "C000BB98" + CR )
Send ( "08000018" + CR )
Send ( "1" + CR )
Send ( "C000DA58" + CR )
Wait ( 20 )
Send ( "08000008" + CR )
Send ( "1" + CR )
Send ( "C0049210" + CR )
Send ( "08FC59E0" + CR )
Send ( "14" + CR )
Send ( "C000EBF0" + CR )
Send ( "90A03000" + CR )
Send ( "C0212FC8" + CR )
Send ( "5CA81E00" + CR )
Send ( "32052010" + CR )
Wait ( 20 )
Send ( "90A51000" + CR )
Send ( "59A85015" + CR )
Send ( "35053FF8" + CR )
Send ( "347D6014" + CR )
Send ( "8CA00008" + CR )
Send ( "82A120EA" + CR )
Send ( "0A000000" + CR )
Send ( "00000000" + CR )
Send ( "90A92218" + CR )
Send ( "0803A5F0" + CR )
Wait ( 20 )
Send ( "1" + CR )
Send ( "C00497C8" + CR )
Send ( "08FC5460" + CR )
Send ( "2" + CR )
Send ( "C000EC28" + CR )
Send ( "92A220D8" + CR )
Send ( "0803B130" + CR )
Send ( "0" + CR )
Send ( "41844790" + CR )
Send ( "3" + CR )
Send ( "0" + CR )
//
//    ----- End v86S-5 Script -----
//
MsgBox ("Patch v86S-5 has been installed. Restart controller for patch to take affect. If dual controllers, patch other controller now.")
//